export function validateViewParameters(parameterConfig = {}, params = {}) {
  const paramKeys = Object.keys(parameterConfig);
  for (let i = 0; i < paramKeys.length; i++) {
    const paramKey = paramKeys[i];
    if (parameterConfig[paramKey].required && !params[paramKey]) {
      return false;
    }
  }
  return true;
}
